package dev.micle.xptools.config;

import dev.micle.xptools.util.EnumUtils;

public class GlobalOperationItem extends OperationItem {
    public GlobalOperationItem(OperationType type, float min, float max, int priority) {
        super(false, "", type, min, max, priority, false);
    }

    public static GlobalOperationItem fromConfig(String configString) {
        String[] splitString = configString.split(",");

        if (splitString.length == 4) {
            OperationType type = EnumUtils.valueOf(OperationType.class, splitString[0]);
            float min = Float.parseFloat(splitString[1]);
            float max = Float.parseFloat(splitString[2]);
            int priority = Integer.parseInt(splitString[3]);

            return new GlobalOperationItem(type, min, max, priority);
        }
        return null;
    }
}
